Name:       python-slip
Version:    0.6.4
Release:    %mkrel 1
Summary:    Miscellaneous convenience, extension and workaround code for Python
Group:      System/Libraries
License:    GPLv2+
URL:        https://github.com/nphilipp/python-slip
Source0:    https://github.com/nphilipp/python-slip/releases/download/python-slip-%{version}/python-slip-%{version}.tar.bz2
BuildArch:  noarch
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python3
BuildRequires:  python3-devel

Requires:   python-selinux
Requires:   python-six

%description
The Simple Library for Python packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides the "slip" and the "slip.util" modules.

%package -n python3-slip
Summary:    Miscellaneous convenience, extension and workaround code for Python 3.x
Group:      System/Libraries
Requires:   python3-selinux
Requires:   python3-six

%description -n python3-slip
The Simple Library for Python 3.x packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides the "slip" and the "slip.util" modules.

%package dbus
Summary:    Convenience functions for dbus services
Group:      System/Libraries
Requires:   %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:   python-dbus >= 0.80
Requires:   python-gobject
Requires:   polkit >= 0.94
Requires:   python-decorator
Requires:   python-six

%description dbus
The Simple Library for Python packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides slip.dbus.service.Object, which is a dbus.service.Object
derivative that ends itself after a certain time without being used and/or if
there are no clients anymore on the message bus, as well as convenience
functions and decorators for integrating a dbus service with PolicyKit.

%package -n python3-slip-dbus
Summary:    Convenience functions for dbus services in Python 3.x
Group:      System/Libraries
Requires:   python3-slip = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:   python3-dbus >= 0.80
Requires:   polkit >= 0.94
Requires:   python3-decorator
Requires:   python3-six

%description -n python3-slip-dbus
The Simple Library for Python 3.x packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides slip.dbus.service.Object, which is a dbus.service.Object
derivative that ends itself after a certain time without being used and/or if
there are no clients anymore on the message bus, as well as convenience
functions and decorators for integrating a dbus service with PolicyKit.

%package gtk
Summary:    Code to make auto-wrapping gtk labels
Group:      System/Libraries
Requires:   %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:   pygtk2.0

%description gtk
The Simple Library for Python packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides slip.gtk.set_autowrap(), a convenience function which
lets gtk labels be automatically re-wrapped upon resizing.

%prep
%setup -q

cp -a . %{py3dir}
find %{py3dir} -name '*.py' -o -name '*.py.in' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'

%build
%make PYTHON=%{__python2}

pushd %{py3dir}
%make PYTHON=%{__python3}
popd

%install
%make_install PYTHON=%{__python2}

%make_install -C %{py3dir} PYTHON=%{__python3}

%files
%doc COPYING doc/dbus
%dir %{python2_sitelib}/slip/
%{python2_sitelib}/slip/__init__.py*
%{python2_sitelib}/slip/util
%{python2_sitelib}/slip/_wrappers
%{python2_sitelib}/slip-%{version}-py%{python2_version}.egg-info

%files -n python3-slip
%doc COPYING doc/dbus
%dir %{python3_sitelib}/slip/
%{python3_sitelib}/slip/__pycache__
%{python3_sitelib}/slip/__init__.py*
%{python3_sitelib}/slip/util
%{python3_sitelib}/slip/_wrappers
%{python3_sitelib}/slip-%{version}-py%{python3_version}.egg-info

%files dbus
%doc doc/dbus/*
%{python2_sitelib}/slip/dbus
%{python2_sitelib}/slip.dbus-%{version}-py%{python2_version}.egg-info

%files -n python3-slip-dbus
%doc doc/dbus/*
%{python3_sitelib}/slip/dbus
%{python3_sitelib}/slip.dbus-%{version}-py%{python3_version}.egg-info

%files gtk
%{python2_sitelib}/slip/gtk
%{python2_sitelib}/slip.gtk-%{version}-py%{python2_version}.egg-info


%changelog
* Tue Jan 19 2016 daviddavid <daviddavid> 0.6.4-1.mga6
+ Revision: 925769
- new version: 0.6.4
- add python3 packages
- update URL and Source URL
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-7.mga5
+ Revision: 739910
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0-6.mga5
+ Revision: 729768
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 688338
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 544244
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.0-2.mga4
+ Revision: 499390
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 11 2013 luigiwalser <luigiwalser> 0.4.0-1.mga4
+ Revision: 495023
- 0.4.0

* Sun Jan 13 2013 umeabot <umeabot> 0.2.20-3.mga3
+ Revision: 379529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 blino <blino> 0.2.20-2.mga3
+ Revision: 297129
- do not require obsolete policykit

* Thu Jan 12 2012 barjac <barjac> 0.2.20-1.mga2
+ Revision: 195418
- New version

* Sat Sep 17 2011 doktor5000 <doktor5000> 0.2.17-1.mga2
+ Revision: 144413
- required by recent versions of sectool
- clean spec, cosmetics
- imported package python-slip


* Thu Aug 11 2011 Александр Казанцев <kazancas@mandriva.org> 0.2.17-1mdv2012.0
+ Revision: 694012
- Update to 0.2.17. Prevent dbus timeout error

* Fri May 27 2011 Александр Казанцев <kazancas@mandriva.org> 0.2.14-1
+ Revision: 680332
- adapt for Mandriva
- imported package python-slip

